Editor.create(
  kind: "board",
  title: "Editor-in-Chief",
  first_name: "Arfon",
  last_name: "Smith",
  login: "arfon",
  email: "",
  avatar_url: "assets/editors/arfon-33e4ac87ed2e073216fda0d3383b25fc3a15cc7ac5e70aab3e9f85f68b3d4a65.jpg",
  categories: [],
  url: "http://arfon.org/",
  description: <<-STR.strip_heredoc()
    A lapsed academic with a passion for new models of scientific collaboration, he's used big telescopes
    to study <a href="http://www.arfon.org/thesis" target="_blank">dust in space</a>, built
    sequencing pipelines in <a href="http://www.sanger.ac.uk/" target="_blank">Cambridge</a> and
    engaged millions of people in online citizen science by co-founding the
    <a href="http://www.zooniverse.org" target="_blank">Zooniverse</a>.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Lorena A",
  last_name: "Barba",
  login: "labarba",
  email: "",
  avatar_url: "assets/editors/lorena-ac22212e9dd478fc2190ab583cd2f12f6870e25e5666641381bb1c9463fc366d.png",
  categories: ["Computational Science and Engineering", "High-performance Computing"],
  url: "http://lorenabarba.com/",
  description: <<-STR.strip_heredoc()
    Associate Professor of Mechanical and Aerospace Engineering at the George Washington University,
    leading a research group in computational fluid dynamics, computational physics and
    high-performance computing. Member of the Board for NumFOCUS, a non-profit in support of
    open-source scientific software.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Jed",
  last_name: "Brown",
  login: "jedbrown",
  email: "",
  avatar_url: "assets/editors/jed-4e9277bfbf99d46c8a98d669e265df1fe8e1b61a20a702af414d854b0fa1f477.jpg",
  categories: ["Computational Science and Engineering", "Geophysics", "High-performance Computing"],
  url: "https://jedbrown.org",
  description: <<-STR.strip_heredoc()
    Assistant Professor of Computer Science at the University of Colorado Boulder leading a research
    group developing scalable algorithms and sustainable software for prediction, inference, and
    design via high-fidelity and multiscale physically-based models.  He is a core developer of
    <a href="https://mcs.anl.gov/petsc/">PETSc</a>.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Jason",
  last_name: "Clark",
  login: "jasonclark",
  email: "",
  avatar_url: "assets/editors/jason-4aca9e8821dd02f8ea26b8fe499cccddd9758707f9a3d711ecc7a71e6a76f6af.jpg",
  categories: ["Information Sciences", "Semantic Web"],
  url: "http://www.jasonclark.info/",
  description: <<-STR.strip_heredoc()
    Associate Professor, Librarian, and Head of Archival Informatics and Special Collections at
    Montana State University (MSU) Library, specializing in software development, metadata and data
    modeling, linked and structured data, search engine optimization, and interface design. You can
    find him on ORCID at
    <a href="http://orcid.org/0000-0002-3588-6257" target="_blank">http://orcid.org/0000-0002-3588-6257</a>
    and as <a href="https://twitter.com/jaclark" target="_blank">@jaclark on Twitter</a>.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "George",
  last_name: "Githinji",
  login: "biorelated",
  email: "",
  avatar_url: "assets/editors/george-d24f98577bcc40a745b81f7ee5c4b6a3e5f150b563f940cb792ba92f88ed6483.jpg",
  categories: ["Bioinformatics"],
  url: "http://virec-group.org/george-githinji",
  description: <<-STR.strip_heredoc()
    Bioinformatician and <a href="http://virec-group.org/george-githinji/">researcher</a> at the
    <a href="http://kemri-wellcome.org/about-us/">KEMRI-Wellcome Trust Research Programme</a> one
    of the Major Wellcome-Trust Overseas Programmes. George works with the
    <a href="http://virec-group.org">Virus Epidemiology and Control group </a> and develops
    bioinformatics methods for understanding virus transmission patterns and evolution. He undertook
    his education in Kenya and is one of East-Africa's open source software developers with an keen
    interest in bioinformatics and reproducible research.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Melissa",
  last_name: "Gymrek",
  login: "mgymrek",
  email: "",
  avatar_url: "/assets/editors/melissa-cbacd3e4fd418075a9c5371a592f93a69877e873f3998d67bae28c35ab606c55.png",
  categories: ["Bioinformatics"],
  url: "http://melissagymrek.com",
  description: <<-STR.strip_heredoc()
    Assistant professor in Computer Science and Engineering and Medicine at UC San Diego with a
    research background in population genetics and bioinformatics. Interested in best practices for
    reproducible and open computational science and in how to take advantage of online media to
    change the face of scientific publishing.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Lindsey",
  last_name: "Heagy",
  login: "lheagy",
  email: "",
  avatar_url: "/assets/editors/lindsey-9486824dd0a77fdbc4933a72f758a9d2d1e5358a7a6d16990e2680d22d7cd1fa.png",
  categories: ["Geoscience", "geophysics"],
  url: "http://lindseyjh.ca/",
  description: <<-STR.strip_heredoc()
    Geophysicist in the <a href="https://gif.eos.ubc.ca">Geophysical Inversion Facility</a> at the
    <a href="https://www.ubc.ca/">University of British Columbia</a>. Her research background is in
    computational geophysics and inverse problems. She contributes to geoscience-focused Python
    packages and develops open-source educational resources in the geosciences.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Kathryn",
  last_name: "Huff",
  login: "katyhuff",
  email: "",
  avatar_url: "/assets/editors/katy-c5d6384edcfa7eb3a0707caa3e607b122f4cc98990182462709163c68aa70e80.png",
  categories: ["Nuclear Engineering", "Energy Engineering"],
  url: "http://katyhuff.github.io/",
  description: <<-STR.strip_heredoc()
    Kathryn Huff is an Assistant Professor in Nuclear, Plasma, and Radiological Engineering at
    <a href="http://illinois.edu">the University of Illinois at Urbana-Champaign</a>. Her research
    focuses on modeling and simulation of advanced nuclear reactors and fuel cycles. She also
    advocates for best practices in open, reproducible scientific computing.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Daniel S.",
  last_name: "Katz",
  login: "danielskatz",
  email: "",
  avatar_url: "/assets/editors/dan-6cad9a0e47de239d6831e3c10c7debba70116010127f249f99be8eaf6c61a7d7.png",
  categories: ["Computer Science"],
  url: "http://danielskatz.org/",
  description: <<-STR.strip_heredoc()
    Works on computer, computational, and data reseach at
    <a href="http://www.ncsa.illinois.edu/">NCSA</a>,
    <a href="https://www.lis.illinois.edu">GSLIS</a>,
    and <a href="http://www.ece.illinois.edu">ECE</a> at
    <a href="http://illinois.edu">the University of Illinois at Urbana-Champaign</a>,
    and has a strong interest in studying common elements of how research is done by people using
    software and data.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Thomas J.",
  last_name: "Leeper",
  login: "leeper",
  email: "",
  avatar_url: "/assets/editors/thomas-23579047523a119663e02e1c59678871d223bf476ea737ca74e1d5a060f3f430.jpg",
  categories: ["Social Sciences"],
  url: "http://thomasleeper.com/",
  description: <<-STR.strip_heredoc()
    A survey and experimental methodologist currently working as Associate Professor in Political
    Behaviour at the <a href="http://www.lse.ac.uk/" target="_blank">London School of Economics and
    Political Science</a>. His research focuses on the effects of information on public opinion, as
    well as techniques and tools for analyzing quantitative survey and experimental data. He has
    published more than thirty R packages on CRAN, and has authored and contributed to numerous
    other open source projects.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Christopher R.",
  last_name: "Madan",
  login: "cMadan",
  email: "",
  avatar_url: "/assets/editors/chris-a8c993e9b7f9b34a1842428ce31b9de0a8e0babfb95072f55f22e3b4e078ab62.png",
  categories: ["Psychology", "Neuroimaging"],
  url: "http://www.cmadan.com",
  description: <<-STR.strip_heredoc()
    Assistant Professor in the
    <a href="http://www.nottingham.ac.uk/psychology/welcome-to-psychology.aspx">School of
    Psychology</a> at the <a href="http://www.nottingham.ac.uk">University of Nottingham</a>.
    Studying human memory and decision making using cognitive psychology and neuroimaging
    approaches, and developing novel computational methods along the way.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Abigail Cabunoc",
  last_name: "Mayes",
  login: "acabunoc",
  email: "",
  avatar_url: "/assets/editors/abby-24e25264066bae11204d08507049760e6fcaf077ec304b6e207359e39833e557.jpg",
  categories: ["Open Science"],
  url: "http://acabunoc.github.io/",
  description: <<-STR.strip_heredoc()
    Lead Developer at the <a href="https://mozillascience.org/">Mozilla Science Lab</a>. Abby has
    led development on various open source projects for science including Contributorship Badges for
    Science and WormBase. With a background in bioinformatics and computer science, she builds tools
    that use the web to move science forward.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Kevin M.",
  last_name: "Moerman",
  login: "Kevin-Mattheus-Moerman",
  email: "kmoerman@mit.edu",
  avatar_url: "/assets/editors/kevin-0259234e0f286791f360a601ebd7ef3bc0e9f5d95c853121c24d540bbb795f60.png",
  categories: ["Computational mechanics, Biomechanics, Finite Element Analysis, Meshing, Design Optimization, Inverse Analysis, Image-based Modelling"],
  url: "https://kevinmoerman.org/",
  description: <<-STR.strip_heredoc()
    Computational mechanics and design engineer at NUI Galway, research affiliate <a href="http://www.media.mit.edu/">MIT Media's lab</a>. Developer for the <a href="http://www.gibboncode.org/">GIBBON</a> project.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Kyle",
  last_name: "Niemeyer",
  login: "kyleniemeyer",
  email: "",
  avatar_url: "/assets/editors/kyle-71f1280494fc8fb8a443951dcd6aea8cfef70ac216f39b2af2bd077820418fca.jpg",
  categories: ["Computational Combustion", "Fluid Dynamics"],
  url: "http://kyleniemeyer.com",
  description: <<-STR.strip_heredoc()
    Mechanical engineer in the <a href="http://mime.oregonstate.edu/">School of Mechanical, Industrial, and Manufacturing Engineering</a> at <a href="http://oregonstate.edu/">Oregon State University</a>. Computational researcher in combustion, fluid dynamics, and chemical kinetics, with an interest in numerical methods and GPU computing strategies.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Pjotr",
  last_name: "Prins",
  login: "pjotrp",
  email: "",
  avatar_url: "/assets/editors/pjotr-1a1cf4179d177b9f7bf038751953388b947d5a8581028969e7833e21f64ab53e.jpg",
  categories: ["Bioinformatics", "Reproducible Research", "Software Deployment", "High Performance Computing"],
  url: "http://thebird.nl/",
  description: <<-STR.strip_heredoc()
    Bioinformatician at large and director of <a href="http://genenetwork.org/">Genenetwork.org</a>
    and a visiting research fellow of
    <a href="https://www.uthsc.edu/neuroscience/faculty/r_williams.php">The University of Tennessee
    Health Science Center</a> and the Personal genomics and bioinformatics Department of Human
    Genetics of <a href="http://www.umcutrecht.nl/nl/Ziekenhuis/Zorgverleners/Cuppen-EPJG"> the
    University Medical Centre Utrecht</a>. Writing software is Pjotr's core business in academia.
    He loves programming languages and he is involved in a wide range of free and open source
    software <a href="https://github.com/pjotrp">projects</a>.  He guides students to write software
    and, every year, he is a mentor and organisation administrator in the
    <a href="https://summerofcode.withgoogle.com/">Google Summer of Code</a>.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Karthik",
  last_name: "Ram",
  login: "karthik",
  email: "",
  avatar_url: "/assets/editors/karthik-5b665ac3be0e5e13dafcc3f1c699549064d22b2785b902f29cc72c51dd11ca36.png",
  categories: ["Biodiversity Informatics", "Data Science"],
  url: "http://karthik.io/",
  description: <<-STR.strip_heredoc()
    A quantitative ecologist and data scientist at <a href="http://bids.berkeley.edu/">UC Berkeley'
    Institute for Data Science</a>, his research focuses on food web dynamics, open science, open
    data, and reproducible research.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Ariel",
  last_name: "Rokem",
  login: "arokem",
  email: "",
  avatar_url: "/assets/editors/ariel-ac1d32b8cf4e4dfb5b9b6b4af975dd0bb68d33242b0955fc2600f4179cefe06f.jpg",
  categories: ["Neuroscience", "machine learning", "computational social science"],
  url: "http://arokem.org/",
  description: <<-STR.strip_heredoc()
    Trained in cognitive neuroscience (PhD: UC Berkeley, 2010) and computational neuroimaging
    (Postdoc, Stanford, 2011-2015), Ariel Rokem is now a data scientist at the University of
    Washington eScience Institute, where he continues to develop software for the analysis of human
    neuroimaging data, develops tools for reproducible and open research practices, and collaborates
    with researchers from a variety of fields to advance data-intensive research.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Tracy",
  last_name: "Teal",
  login: "tracykteal",
  email: "",
  avatar_url: "/assets/editors/tracy-d0ab6970fc7a62eabf33ed989e697f931f5731a3860a7d4bb950db5d8c55cb9b.jpg",
  categories: ["Bioinformatics"],
  url: "http://idyll.org/~tracyt/",
  description: <<-STR.strip_heredoc()
    Executive Director of Data Carpentry and Adjunct Professor in the BEACON Center for the Study of
    Evolution in Action at Michigan State University. Her research background in is microbial
    metagenomics and bioinformatics, and she has been a developer and contributor to several open
    source bioinformatics projects. She also focuses on best practices in data analysis software
    development.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Roman Valls",
  last_name: "Guimera",
  login: "brainstorm",
  email: "",
  avatar_url: "/assets/editors/roman-9f8384fd7e7eb06fb170e3fb6168e0f38792b62d053c8ac63685eeffca932b3b.jpg",
  categories: ["Bioinformatics", "Computer Science"],
  url: "http://blogs.nopcode.org/brainstorm/",
  description: <<-STR.strip_heredoc()
    Research software engineer working at the <a href="https://umccr.github.io/">UMCCR</a> in
    Melbourne, Australia. Likes to tap into many fields of science and computing including
    deployable and reproducible scientific software in both HPC and Cloud computing environments for
    scientific workflows and data analysis. In previous gigs enacted
    <a href="http://neurostars.org/">NeuroStars</a> a Q&amp;A site for its growing neuroscience
    community and also mentored different students via the Google Summer of Code program. More
    recently, self taught embedded systems design and RF engineering among other hobbies.
  STR
)

Editor.create(
  kind: "topic",
  first_name: "Jake",
  last_name: "Vanderplas",
  login: "jakevdp",
  email: "",
  avatar_url: "/assets/editors/jake-40df74aa2423eb537561783974ed6efa435c577eb45577d20732d5317a46f8bd.jpg",
  categories: ["Astronomy", "Machine Learning"],
  url: "http://vanderplas.com",
  description: <<-STR.strip_heredoc()
    Astronomer exploring the role of data science in academia at
    <a href="http://escience.washington.edu/">University of Washington's eScience Institute</a>.
    Core contributor to <a href="http://scikit-learn.org/">scikit-learn</a> and other
    science-focused Python packages.
  STR
)
